Page MenuHomePhabricator

Migrate all (static) uses of the deprecated ResourceLoaderTestModules hook to the QUnitTestModule extension.json attribute
Open, MediumPublic

Description

Test plan:

  • The hook code should be removed from both the extension.json call, and from the Hooks PHP file itself.
  • The number of QUnit tests run before and after should be the same
  • The QUnit tests should still pass. :-)

Wikimedia-deployed

  • MinervaNeue (the skin)
  1. Non-static (has a dependency), so not yet
  2. Cite
  3. Citoid
  4. Graph
  5. GuidedTour
  1. Non-static (dynamic test file / dependency finding, ¡¿why?!), so not yet
  2. CentralNotice
  3. Echo
  4. Flow
  5. UploadWizard
  1. Not yet on extension.json, so not yet
  2. Translate (on extension.json but waiting for compatibility to lapse)
  3. Wikibase

Extensions not deployed at Wikimedia

  • examples
  • BlueSpiceExtendedSearch
  • FormWizard
  • SemanticMediaWiki
  • SemanticResultFormats
  • Wikispeech

Event Timeline

Jdforrester-WMF changed the task status from Open to Stalled.Jan 18 2019, 10:28 PM
Jdforrester-WMF created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2019, 10:28 PM
Jdforrester-WMF renamed this task from Migrate all (static) uses of the ResourceLoaderTestModules hook to the new ResourceLoaderQUnitTestModules extension.json attribute to Migrate all (static) uses of the deprecated ResourceLoaderTestModules hook to the QUnitTestModule extension.json attribute.Feb 6 2019, 12:16 AM
Jdforrester-WMF changed the task status from Stalled to Open.
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF updated the task description. (Show Details)

Change 490488 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/UniversalLanguageSelector@master] Replace use of deprecated ResourceLoaderTestModules hook

https://gerrit.wikimedia.org/r/490488

Change 490489 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikiEditor@master] Replace use of deprecated ResourceLoaderTestModules hook

https://gerrit.wikimedia.org/r/490489

Change 490490 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/EventLogging@master] Replace use of deprecated ResourceLoaderTestModules hook

https://gerrit.wikimedia.org/r/490490

Change 490491 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/MobileFrontend@master] Replace use of deprecated ResourceLoaderTestModules hook

https://gerrit.wikimedia.org/r/490491

Change 490494 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/MultimediaViewer@master] Replace use of deprecated ResourceLoaderTestModules hook

https://gerrit.wikimedia.org/r/490494

Change 490495 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/CentralAuth@master] Replace use of deprecated ResourceLoaderTestModules hook

https://gerrit.wikimedia.org/r/490495

Change 490490 merged by Nuria:
[mediawiki/extensions/EventLogging@master] Replace use of deprecated ResourceLoaderTestModules hook

https://gerrit.wikimedia.org/r/490490

Change 490491 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Replace use of deprecated ResourceLoaderTestModules hook

https://gerrit.wikimedia.org/r/490491

Change 490489 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Replace use of deprecated ResourceLoaderTestModules hook

https://gerrit.wikimedia.org/r/490489

Change 490495 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Replace use of deprecated ResourceLoaderTestModules hook

https://gerrit.wikimedia.org/r/490495

Change 490494 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@master] Replace use of deprecated ResourceLoaderTestModules hook

https://gerrit.wikimedia.org/r/490494

Restricted Application added a subscriber: Masumrezarock100. · View Herald TranscriptDec 16 2019, 8:14 AM